/*
 * Class ARRAYED_LIST [REAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_633 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_633 [] = {0xFF01,237,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_2_633 [] = {0xFF01,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_3_633 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_633 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_633 [] = {0xFF01,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_6_633 [] = {0xFF01,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_7_633 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_633 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_633 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_633 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_633 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_633 [] = {632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_13_633 [] = {0xFF01,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_14_633 [] = {0xFF01,624,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_633 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_633 [] = {0xFF01,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_24_633 [] = {0xFF01,615,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_633 [] = {0xFF01,616,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_29_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_633 [] = {0xFF01,169,0xFFFF};
static const EIF_TYPE_INDEX egt_31_633 [] = {0xFF01,615,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_633 [] = {0xFF01,621,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_33_633 [] = {0xFF01,632,179,0xFFFF};
static const EIF_TYPE_INDEX egt_34_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_633 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_36_633 [] = {0xFF01,144,0xFFFF};
static const EIF_TYPE_INDEX egt_37_633 [] = {0xFF01,632,179,0xFFFF};


static const struct desc_info desc_633[] = {
	{EIF_GENERIC(NULL), 8001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_633), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_633), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8025, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_633), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_633), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_633), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_633), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_633), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_633), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_633), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_633), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_633), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_633), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_633), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_633), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8013, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1895, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1896, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 1897, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1898, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1899, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_633), 2401, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_633), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8024, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2159, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_633), 8006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2575, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2576, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8045, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8054, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4433, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8038, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8011, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 4436, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_633), 2394, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2395, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4671, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8034, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_633), 8007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_633), 4437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8028, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_633), 8006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4421, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8032, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8015, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8016, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8017, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8018, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_633), 8009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_633), 8010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8031, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8036, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4444, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4422, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4423, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8059, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_633), 8061, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2390, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4672, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8035, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4601, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8026, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8029, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2572, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8042, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4426, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8058, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_633), 4994, 0},
	{EIF_GENERIC(NULL), 4995, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4996, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_633), 4997, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_633), 4998, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4999, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5000, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 5001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_633), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2085, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2156, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2157, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2158, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 2160, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8051, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_633), 3377, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_633), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 4436, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 4605, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8060, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_633), 6686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8002, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8003, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8004, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_633), 8005, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_633), 8014, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8019, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8020, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8021, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8022, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8063, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8064, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_633), 8065, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8011, 8},
	{EIF_GENERIC(egt_34_633), 8007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_633), 8008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8028, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_633), 8012, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8027, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8037, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8023, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8043, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8044, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8046, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8047, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8056, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8057, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_633), 8062, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8048, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init633(void)
{
	IDSC(desc_633, 0, 632);
	IDSC(desc_633 + 1, 1, 632);
	IDSC(desc_633 + 32, 77, 632);
	IDSC(desc_633 + 41, 103, 632);
	IDSC(desc_633 + 43, 243, 632);
	IDSC(desc_633 + 49, 155, 632);
	IDSC(desc_633 + 58, 256, 632);
	IDSC(desc_633 + 61, 30, 632);
	IDSC(desc_633 + 68, 329, 632);
	IDSC(desc_633 + 82, 294, 632);
	IDSC(desc_633 + 85, 282, 632);
	IDSC(desc_633 + 94, 81, 632);
	IDSC(desc_633 + 103, 35, 632);
	IDSC(desc_633 + 104, 129, 632);
	IDSC(desc_633 + 110, 99, 632);
	IDSC(desc_633 + 112, 229, 632);
	IDSC(desc_633 + 113, 55, 632);
	IDSC(desc_633 + 114, 123, 632);
	IDSC(desc_633 + 116, 38, 632);
	IDSC(desc_633 + 131, 187, 632);
	IDSC(desc_633 + 137, 184, 632);
	IDSC(desc_633 + 140, 50, 632);
	IDSC(desc_633 + 141, 96, 632);
	IDSC(desc_633 + 149, 237, 632);
	IDSC(desc_633 + 151, 172, 632);
}


#ifdef __cplusplus
}
#endif
